Page MenuHomePhabricator

Warning: Invalid argument: Type C: not enough input, need 1, have 0 in File_Ogg:_decodePageHeader
Closed, ResolvedPublic

Description

Spotted 17 times in production, apparently new in wmf.17 branch:

Warning: Invalid argument: Type C: not enough input, need 1, have 0
in /srv/mediawiki/php-1.28.0-wmf.17/extensions/TimedMediaHandler/handlers/OggHandler/File_Ogg/File/Ogg.php on line 384

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2016, 11:04 AM
Paladox added a subscriber: Paladox.Oct 6 2016, 4:06 PM

@Dereckson hi is this still a problem, since there have been updates to tmh since then including updates to ogv.js?

Dereckson added a comment.EditedOct 6 2016, 4:07 PM

This is a question to ask to TMH developers.

Last occurences in logs are 2016-09-17 (php-1.28.0-wmf.18) and 2016-09-23 (php-1.28.0-wmf.20).

php-1.28.0-wmf.20 is the version currently on Wikipedia and Commons.

brion added a subscriber: brion.Oct 6 2016, 5:46 PM

Backend File_Ogg shouldn't have changed at all, this may be due to accesses to a particular file. Any info such as URL for the request?

TheDJ added a subscriber: TheDJ.Oct 14 2016, 7:32 PM

@Dereckson were you able to find any additional information ?

@TheDJ could you commit something to log the stacktrace when that occurs?

Change 316000 had a related patch set uploaded (by Brion VIBBER):
Add check to File_Ogg for cut-off page headers

https://gerrit.wikimedia.org/r/316000

brion added a comment.Oct 14 2016, 8:55 PM

@Dereckson patch https://gerrit.wikimedia.org/r/316000 should do the job; checks that the Ogg page header is at least the expected length and will error out if not... in the error case the caller function throws an exception.

That exception should then either get caught by MediaWiki code and the file rejected, or will throw directly and be more visible in logs with request info etc.

Change 316000 merged by jenkins-bot:
Add check to File_Ogg for cut-off page headers

https://gerrit.wikimedia.org/r/316000

MaxSem closed this task as Resolved.Jan 11 2017, 11:28 PM
MaxSem assigned this task to brion.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM